%define dbver 20080904
%define enginever 3.0-20080904
%define filtersver 20080904
%define hpijsver 20080904

Summary: Foomatic printer database.
Name:		foomatic
Version:	3.0.2
Release:    67%{?dist}
License:	GPLv2+
Group: System Environment/Libraries

# Generated by:
# NOW=`date '+%Y%m%d'`
# cvs -d:pserver:anonymous@cvs.linuxprinting.org:/usr/local/cvs export -D $NOW foomatic
# tar cjf foomatic-1.9-$NOW.tar.bz2 foomatic
Source0: http://www.openprinting.org/download/foomatic/foomatic-db-engine-%{enginever}.tar.gz

Source1: http://www.linuxprinting.org/download/foomatic/foomatic-filters-3.0-%{filtersver}.tar.gz
Source2: http://www.linuxprinting.org/download/foomatic/foomatic-db-3.0-%{dbver}.tar.gz
Source3: http://www.linuxprinting.org/download/foomatic/foomatic-db-hpijs-%{hpijsver}.tar.gz

# Use libdir.
Patch1: foomatic-filters-libdir.patch
Patch2: foomatic-db-engine-libdir.patch

# Set GS_FONTPATH in gs wrapper (bug #81410).
Patch5: foomatic-2.0.2-fontpath.patch

# Handle non-UTF-8 encodings in imported PPD files.
Patch15: foomatic-bad-utf8.patch

Patch18: foomatic-sigpipe.patch

Patch19: foomatic-ppd-filenames.patch

Url:		http://www.linuxprinting.org
BuildRequires:	perl >= 3:5.8.1
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:	libxml2-devel
BuildRequires:	ghostscript-devel
BuildRequires:	autoconf, automake
Requires:	perl >= 3:5.8.1
Requires:	%(eval `perl -V:version`; echo "perl(:MODULE_COMPAT_$version)")
BuildRoot:	%_tmppath/%name-%version-%release-root
Provides:	perl(Foomatic::GrovePath)
# For 'rm' and '/sbin/service' in post
PreReq: fileutils initscripts

# foomatic-filters checks for a conversion utility (bug #124931).
BuildRequires: mpage

# We need ghostscript to have the gimp-print-4.2.0 driver, and hpijs 1.1.
Conflicts: ghostscript < 7.05
Conflicts: hpijs < 1.5

# We don't use the printconf hooks now, so require that they are gone.
Conflicts: system-config-printer < 0.7.0

%description
Foomatic is a comprehensive, spooler-independent database of printers,
printer drivers, and driver descriptions. It contains utilities to
generate driver description files and printer queues for CUPS, LPD,
LPRng, and PDQ using the database. There is also the possibility to
read the PJL options out of PJL-capable laser printers and take them
into account at the driver description file generation.

There are spooler-independent command line interfaces to manipulate
queues (foomatic-configure) and to print files/manipulate jobs
(foomatic printjob).

The site http://www.linuxprinting.org/ is based on this database.

%prep
%setup -q -c -a 1 -a 2 -a 3

pushd foomatic-filters-3.0-%{filtersver}
%patch1 -p1 -b .libdir
%patch5 -p1 -b .fontpath
%patch18 -p1 -b .sigpipe
%patch19 -p1 -b .ppd-filenames
./make_configure
popd

pushd foomatic-db-engine-%{enginever}
chmod a+x mkinstalldirs
%patch2 -p1 -b .libdir
%patch15 -p1
./make_configure
popd

pushd foomatic-db-hpijs-%{hpijsver}
popd

pushd foomatic-db-%{dbver}

cd db/source

# For gutenprint printers, use gutenprint-ijs-simplified.5.0.
perl -pi -e 's,>gutenprint<,>gutenprint-ijs-simplified.5.0<,' printer/*.xml

# Remove references to foo2zjs, foo2oak, foo2hp and foo2qpdl (bug #208851).
# Also foo2lava, foo2kyo, foo2xqx (bug #438319).
for x in zjs oak hp qpdl lava kyo xqx
do
  find printer -name '*.xml' |xargs grep -l "<driver>foo2${x}"|xargs rm -vf
  rm -f driver/foo2${x}.xml opt/foo2${x}-*
done
# Same for m2300w/m2400w
find printer -name '*.xml' |xargs grep -l '<driver>m2[34]00w<'|xargs rm -vf
rm -f driver/m2300w.xml driver/m2400w.xml opt/m2300w-*
# Same for all these.
for x in drv_x125 ml85p pbm2lwxl pbmtozjs bjc800j
do
  find printer -name '*.xml' |xargs grep -l "<driver>${x}</driver>"|xargs rm -vf
  rm -vf driver/${x}.xml opt/${x}-*
done

popd

%build
export LIB_CUPS=/usr/lib/cups               # /usr/lib NOT libdir
export CUPS_BACKENDS=/usr/lib/cups/backend  # /usr/lib NOT libdir
export CUPS_FILTERS=/usr/lib/cups/filter    # /usr/lib NOT libdir
export CUPS_PPDS=%{_datadir}/cups/model

pushd foomatic-filters-3.0-%{filtersver}
%configure
make PREFIX=%{_prefix} CFLAGS="$RPM_OPT_FLAGS"
popd

pushd foomatic-db-engine-%{enginever}
%configure --disable-xmltest
make PREFIX=%{_prefix} CFLAGS="$RPM_OPT_FLAGS"
popd

pushd foomatic-db-%{dbver}
%configure
make PREFIX=%{_prefix} CFLAGS="$RPM_OPT_FLAGS"
popd

pushd foomatic-db-hpijs-%{hpijsver}
%configure
make PREFIX=%{_prefix} CFLAGS="$RPM_OPT_FLAGS"
popd

%install
rm -rf $RPM_BUILD_ROOT

pushd foomatic-filters-3.0-%{filtersver}
eval `perl '-V:installvendorlib' '-V:installvendorarch'`
mkdir -p $RPM_BUILD_ROOT/$installvendorlib
export INSTALLSITELIB=$RPM_BUILD_ROOT/$installvendorlib
export INSTALLSITEARCH=$RPM_BUILD_ROOT/$installvendorarch
make	DESTDIR=%buildroot PREFIX=%{_prefix} \
	INSTALLSITELIB=$RPM_BUILD_ROOT/$installvendorlib \
	INSTALLSITEARCH=$RPM_BUILD_ROOT/$installvendorarch \
	install
popd

pushd foomatic-db-engine-%{enginever}
make	DESTDIR=%buildroot PREFIX=%{_prefix} \
	INSTALLSITELIB=$installvendorlib \
	INSTALLSITEARCH=$installvendorarch \
	install
popd

pushd foomatic-db-%{dbver}
make	DESTDIR=%buildroot PREFIX=%{_prefix} \
	INSTALLSITELIB=$RPM_BUILD_ROOT/$installvendorlib \
	INSTALLSITEARCH=$RPM_BUILD_ROOT/$installvendorarch \
	install

popd

pushd foomatic-db-hpijs-%{hpijsver}
make	DESTDIR=%buildroot PREFIX=%{_prefix} \
	INSTALLSITELIB=$RPM_BUILD_ROOT/$installvendorlib \
	INSTALLSITEARCH=$RPM_BUILD_ROOT/$installvendorarch \
	install
popd

# Remove ghostscript UPP drivers that are gone in 7.07
rm -f %{buildroot}%{_datadir}/foomatic/db/source/driver/{bjc6000a1,PM760p,PM820p,s400a1,sharp,Stc670pl,Stc670p,Stc680p,Stc760p,Stc777p,Stp720p,Stp870p}.upp.xml

# Remove drivers with no command line.
pushd foomatic-db-engine-%{enginever}
perl -Ilib ./foomatic-cleanupdrivers %{buildroot}%{_datadir}/foomatic
popd

# Update any old-style printer IDs still left around.
echo '#!/usr/bin/perl -pi' > convert-printerids.pl
sed -e 's|^\(.*\) \(.*\)$|s,printer/\1,printer/\2,g;|' \
	%{buildroot}%{_datadir}/foomatic/db/oldprinterids \
	>> convert-printerids.pl
chmod a+x convert-printerids.pl
./convert-printerids.pl %{buildroot}%{_datadir}/foomatic/db/source/{opt,driver}/*.xml
find %{buildroot}%{_datadir}/foomatic/db/source/ -type f | xargs chmod 0644

# Use relative, not absolute, symlink for CUPS filter.
ln -sf ../../../bin/foomatic-rip %{buildroot}/usr/lib/cups/filter/foomatic-rip

mkdir $RPM_BUILD_ROOT%{_datadir}/foomatic/db/source/PPD/Custom
mkdir -p $RPM_BUILD_ROOT%{_var}/cache/foomatic

echo cups > $RPM_BUILD_ROOT%{_sysconfdir}/foomatic/defaultspooler

# Remove things we don't ship.
rm -rf	$RPM_BUILD_ROOT%{_libdir}/perl5/site_perl \
	$RPM_BUILD_ROOT%{_libdir}/ppr \
	$RPM_BUILD_ROOT%{_sysconfdir}/foomatic/filter.conf.sample
find $RPM_BUILD_ROOT -name .packlist -o -name '*.xml.*' | xargs rm -f

%post
/bin/rm -f /var/cache/foomatic/*
exit 0

%clean
rm -fr %buildroot $RPM_BUILD_DIR/%{name}

%files
%defattr(-,root,root)
%doc --parents */README */USAGE */ChangeLog
%dir %{_sysconfdir}/foomatic
%config(noreplace) %{_sysconfdir}/foomatic/filter.conf
%config(noreplace) %{_sysconfdir}/foomatic/defaultspooler
%{_bindir}/*
%{_sbindir}/*
%{_prefix}/lib*/perl5/vendor_perl/*/Foomatic
%dir /usr/lib/cups
/usr/lib/cups/*
%{_datadir}/foomatic
%{_datadir}/cups/model/foomatic-db-ppds
%{_mandir}/*/*
%{_var}/cache/foomatic

%changelog
* Thu Oct  2 2008 Tim Waugh <twaugh@redhat.com> 3.0.2-67
- Rebuilt (bug #465298).

* Fri Sep  5 2008 Tim Waugh <twaugh@redhat.com> 3.0.2-66
- Fixed filename handling in foomatic-rip (bug #457679).

* Thu Sep  4 2008 Tim Waugh <twaugh@redhat.com> 3.0.2-65
- Removed ampathxml and xml-cflags patches.
- Updated db-hpijs to 20080904.
- Updated db to 20080904.
- Updated filters to 3.0-20080904.
- Updated db-engine to 3.0-20080904.

* Wed Sep  3 2008 Tim Waugh <twaugh@redhat.com>
- Finally remove ppdload.

* Tue Sep  2 2008 Tim Waugh <twaugh@redhat.com> 3.0.2-64
- Fixed typo in HP-Color_LaserJet_9500_MFP.xml.

* Tue Sep  2 2008 Tim Waugh <twaugh@redhat.com> 3.0.2-63
- Avoid busy-looping when trying to shorten long PPD nicknames.

* Tue Sep  2 2008 Tim Waugh <twaugh@redhat.com> 3.0.2-62
- Removed patch fuzz.
- Fixed PPD generation for HP LaserJet 4345 MFP (bug #459847).

* Thu Jul 10 2008 Tim Waugh <twaugh@redhat.com> 3.0.2-61
- Updated db-hpijs to 20080710.
- Updated db to 20080710.
- Updated filters to 3.0-20080710.
- Updated db-engine to 3.0-20080710.
- Ship a defaultspooler file to avoid the need for spooler
  auto-detection (bug #454684).

* Thu May  8 2008 Tim Waugh <twaugh@redhat.com> 3.0.2-60
- Updated filters to 3.0-20080507.

* Wed May  7 2008 Tim Waugh <twaugh@redhat.com>
- Avoid busy-looping when the CUPS backend stops (bug #445555).

* Tue Apr  1 2008 Tim Waugh <twaugh@redhat.com> 3.0.2-59
- More foo2zjs printers removed (bug #438319).

* Thu Mar 13 2008 Tim Waugh <twaugh@redhat.com> 3.0.2-58
- Applied patch from upstream to make foomatic-rip clean up correctly when
  a job is cancelled.

* Mon Mar  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.2-57
- rebuild for new perl (again)

* Wed Feb 13 2008 Tim Waugh <twaugh@redhat.com> 3.0.2-56
- Updated filters to 3.0-20080211.
- Updated db-hpijs to 20080211.
- Updated db-engine to 3.0-20080211.
- Updated db to 3.0-20080211.

* Sat Feb  2 2008 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.2-55
- rebuild for new perl

* Thu Jan 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> 3.0.2-54
- rebuild for new perl
- correct license tag

* Wed Jan  9 2008 Tim Waugh <twaugh@redhat.com> 3.0.2-53
- Updated db-hpijs to 20071218.
- Updated db to 3.0-20071218.
- Updated db-engine to 3.0-20071218.
- Updated filters to 3.0-20071218 (bug #416881).

* Mon Jan  7 2008 Tim Waugh <twaugh@redhat.com>
- Removed foo2qpdl drivers and printers (bug #208851).

* Fri Oct 12 2007 Tim Waugh <twaugh@redhat.com> 3.0.2-52
- Removed use of printconf hooks.
- Don't restart CUPS on upgrade.

* Fri Sep 21 2007 Tim Waugh <twaugh@redhat.com> 3.0.2-51
- Build requires perl(ExtUtils::MakeMaker).
- Updated filters to 3.0-20070919.
- Updated db to 20070919.

* Wed Aug 15 2007 Tim Waugh <twaugh@redhat.com> 3.0.2-50
- Removed references to unshipped drivers:
  * drv_x125
  * ml85p
  * pbm2lxwl
  * pbmtozjs
  * bjc800j

* Thu Jun 14 2007 Tim Waugh <twaugh@redhat.com> 3.0.2-49
- Safe default margins for PPDs (bug #244161).
- Added missing IEEE 1284 ID for HP Photosmart 380 (bug #241352).

* Thu Jun 14 2007 Tim Waugh <twaugh@redhat.com> 3.0.2-48
- Updated db to 3.0-20070614.
- Updated db-engine to 3.0-20070614.
- Updated db-hpijs to 20070614.
- Updated filters to 3.0-20070614.

* Mon Apr 16 2007 Tim Waugh <twaugh@redhat.com> 3.0.2-47
- Fixed %%prep (bug #208851).
- Removed now-unused with_omni code.

* Fri Mar 30 2007 Tim Waugh <twaugh@redhat.com> 3.0.2-46
- Don't ship old gimp-print data (bug #234388).

* Thu Jan 11 2007 Tim Waugh <twaugh@redhat.com> 3.0.2-45
- Leave gutenprint-recommended printers alone, rather than pointing them
  to gimp-print as before.

* Tue Jan  9 2007 Tim Waugh <twaugh@redhat.com> 3.0.2-44
- Removed m2300w files (bug #203381).

* Fri Jan  5 2007 Tim Waugh <twaugh@redhat.com> 3.0.2-43
- Updated db to 3.0-20070105 (bug #214037, bug #191661, bug #198999,
  bug #191504, bug #187387, bug #188762, bug #170373, bug #221121,
  bug #214801).

* Thu Nov 30 2006 Tim Waugh <twaugh@redhat.com> 3.0.2-42
- Updated db to 3.0-20061130.

* Fri Nov 10 2006 Tim Waugh <twaugh@redhat.com> 3.0.2-41
- Updated db-engine to 3.0-20061109 (bug #197331).

* Tue Nov  7 2006 Tim Waugh <twaugh@redhat.com> 3.0.2-40
- Clean up gimp-print-ijs/gutenprint recommended drivers.
- Updated db-hpijs to 20061031.

* Fri Nov  3 2006 Tim Waugh <twaugh@redhat.com> 3.0.2-39
- Updated db-engine to 3.0-20061031.
- Updated db to 3.0-20061031.
- Remove references to foo2zjs and foo2oak (bug #208851).

* Thu Aug  3 2006 Tim Waugh <twaugh@redhat.com> 3.0.2-38
- Change a2ps requirement to mpage.
- Make CUPS driver work with drivers containing '-' in their names
  (bug #201398).

* Thu Jul 13 2006 Karsten Hopp <karsten@redhat.de> 3.0.2-37
- buildrequires autoconf, automake

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.0.2-36.1
- rebuild

* Mon May 22 2006 Karsten Hopp <karsten@redhat.de> 3.0.2-36
- add buildrequires ghostscript-devel so that /usr/lib/cups/driver/foomatic
  gets built

* Fri May 19 2006 Tim Waugh <twaugh@redhat.com> 3.0.2-35
- Define CUPS_PPDS for configure (bug #192375).

* Fri Apr 21 2006 Tim Waugh <twaugh@redhat.com>
- Updated db-engine to 3.0-20060421.

* Fri Mar 24 2006 Tim Waugh <twaugh@redhat.com> 3.0.2-34
- Always use /usr/lib/cups/{backend,filter}.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 3.0.2-33.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.0.2-33.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 Tim Waugh <twaugh@redhat.com> 3.0.2-33
- Make build self-hosting.

* Tue Jan 17 2006 Tim Waugh <twaugh@redhat.com> 3.0.2-32
- Fix foomatic-cleanupdrivers.
- Updated db-engine to 3.0-20060117.
- Handle PPDs with default option values of '0'.

* Mon Jan 16 2006 Tim Waugh <twaugh@redhat.com> 3.0.2-31
- Fix tag mismatch in db.
- Updated db to 3.0-20060116.

* Tue Jan 10 2006 Tim Waugh <twaugh@redhat.com>
- Don't remove the cache directory, only its contents (bug #177266).

* Tue Jan  3 2006 Tim Waugh <twaugh@redhat.com> 3.0.2-30
- Updated db to 3.0-20060103.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec  9 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-29
- Updated db-engine to 3.0-20051209.
- Updated db-hpijs to 1.5-20051209.
- Updated filters to 3.0-20051209.  No longer need rip-cvs patch.
- Updated db to 3.0-20051209.

* Tue Sep 13 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-28
- Remove explicit perl module package dependencies.  These should be
  picked up by the RPM during the build process automatically anyway.
  Fixes bug #167997.

* Mon Sep 12 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-27
- Own %%{_datadir}/foomatic/db/source/PPD/Custom and %%{_var}/cache/foomatic
  (bug #168085).

* Wed Sep  7 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-26
- Updated db-engine to 3.0-20050907.
- Updated db to 3.0-20050907.

* Mon Sep  5 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-25
- Add IEEE 1284 ID for HP LaserJet 4200 (bug #166638).
- Add IEEE 1284 ID for HP LaserJet 5000 (bug #167154).

* Thu Aug  4 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-24
- Updated db to 3.0-20050804.
- No longer need hplj5 patch.
- Conflicts with system-config-printer before the parser bug was fixed.

* Tue Jul 26 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-23
- Updated db to 3.0-20050726.
- No longer need ieee1284 patch.

* Mon Jul 25 2005 Tim Waugh <twaugh@redhat.com>
- Fix IEEE 1284 ID for HP Photosmart 7260 (bug #162915).

* Mon Jul 18 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-22
- Updated db to 20050718.

* Sun Jul  3 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-21
- Updated db to 20050703.

* Mon Jun 13 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-20
- Updated db-hpijs to 1.5-20050613.
- Updated db to 20050613.

* Fri Jun 10 2005 Tim Waugh <twaugh@redhat.com>
- Add IEEE 1284 ID for Epson Stylus Photo 915 (bug #160030).
- Add IEEE 1284 ID for Ricoh Aficio 2228C PS (bug #160036).

* Tue Jun  7 2005 Tim Waugh <twaugh@redhat.com>
- Add IEEE 1284 ID for Epson Stylus Photo 870 (bug #159717).

* Wed May 25 2005 Tim Waugh <twaugh@redhat.com>
- Add IEEE 1284 ID for HP LaserJet 4250 (bug #157883).

* Thu May 19 2005 Tim Waugh <twaugh@redhat.com>
- Add IEEE 1284 ID for HP DeskJet 3845 (bug #157760).

* Tue May  3 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-19
- Add IEEE 1284 ID for Epson Stylus CX5400 (bug #156661).

* Tue Apr 12 2005 Tim Waugh <twaugh@redhat.com>
- Fix Postscript driver (bug #151645).
- Add IEEE 1284 ID for HP DeskJet 5150 (bug #154518).
- Add IEEE 1284 ID for HP LaserJet 2420 (bug #114191).

* Thu Mar 24 2005 Tim Waugh <twaugh@redhat.com>
- Add a hook to remove any foomatic data cached by system-config-printer.

* Thu Mar 10 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-18
- Updated db to 20050310.

* Wed Mar  9 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-17
- Make Omni optional.
- ... and disable it.

* Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-16
- Rebuild for new GCC.

* Fri Feb 25 2005 Tim Waugh <twaugh@redhat.com>
- Add IEEE 1284 information for Lexmark Optra R+ (bug #149498).

* Thu Feb 17 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-15
- Fixed warning patch.

* Wed Feb 16 2005 Tim Waugh <twaugh@redhat.com>
- Don't ship backup files.

* Wed Feb 16 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-14
- Updated db to 20050216.

* Thu Feb 10 2005 Tim Waugh <twaugh@redhat.com>
- Added IEEE 1284 information for HP Color LaserJet 4600 (bug #147648).

* Tue Feb  8 2005 Tim Waugh <twaugh@redhat.com>
- Corrected IEEE 1284 information for HP DeskJet 6540 (bug #147288).
- Added IEEE 1284 information for Epson Stylus C82 (bug #147230).

* Mon Jan 24 2005 Tim Waugh <twaugh@redhat.com>
- Fixed last change.

* Fri Jan 21 2005 Tim Waugh <twaugh@redhat.com>
- Prevent a warning from DB.pm (bug #145605).

* Tue Jan 18 2005 Tim Waugh <twaugh@redhat.com> 3.0.2-13
- Updated db to 20050118.

* Mon Jan 10 2005 Tim Waugh <twaugh@redhat.com>
- Added IEEE 1284 information for Epson Stylus Photo R200 (bug #144631).

* Tue Jan  4 2005 Tim Waugh <twaugh@redhat.com>
- Added IEEE 1284 information for Okidata Okipage 6ex (bug #143964).
- Added IEEE 1284 information for Epson Stylus Photo R300 (bug #143939).

* Mon Dec 20 2004 Tim Waugh <twaugh@redhat.com> 3.0.2-12
- Added IEEE 1284 information for Epson Stylus CX3200 (bug #143343).

* Mon Dec  6 2004 Tim Waugh <twaugh@redhat.com> 3.0.2-11
- Updated db to 20041206.

* Thu Dec  2 2004 Tim Waugh <twaugh@redhat.com> 3.0.2-10
- Added IEEE 1284 information for HP-Color_Inkjet_Printer_CP1700 (bug #141594).
- Added IEEE 1284 information for Samsung-ML-1710 (bug #141163).
- Added IEEE 1284 information for HP-OfficeJet_G95 (bug #141057).

* Wed Nov 24 2004 Tim Waugh <twaugh@redhat.com> 3.0.2-9
- Updated db to 20041124.
- Updated hpijs-db to 1.5-20041124.
- No longer need HP DJ 6122 patch.
- No longer need ieee1284 patch.
- Updated Omni-printers to 0.9.2.

* Wed Nov 24 2004 Tim Waugh <twaugh@redhat.com> 3.0.2-8
- Minor PPD.pm fix for PPD import (bug #132625).

* Mon Nov 22 2004 Tim Waugh <twaugh@redhat.com> 3.0.2-7
- Applied some foomatic-rip fixes from CVS.

* Thu Nov 18 2004 Tim Waugh <twaugh@redhat.com>
- Add autodetect information for HP Color LaserJet 4550 (bug #139799).

* Wed Nov 17 2004 Tim Waugh <twaugh@redhat.com> 3.0.2-6
- Add autodetect information for HP LaserJet 8150 (bug #139683).
- Add autodetect information for Epson Stylus Color 777 (bug #139629).

* Tue Nov 16 2004 Tim Waugh <twaugh@redhat.com> 3.0.2-5
- Ship data as non-executable (bug #139271).
- Corrected autodetect information for HP Business InkJet 1100 (bug #139258).

* Mon Nov 15 2004 Tim Waugh <twaugh@redhat.com> 3.0.2-4
- Add autodetect information for HP Business InkJet 1100 (bug #139258).
- Add autodetect information for Epson Stylus Photo 790 (bug #139266).
- Add autodetect information for HP DJ 3820 (bug #139271).

* Wed Oct 13 2004 Tim Waugh <twaugh@redhat.com> 3.0.2-3
- Revert change for bug #133647.

* Mon Oct 11 2004 Tim Waugh <twaugh@redhat.com> 3.0.2-2
- Use gimp-print driver for HP 2000C (bug #133647).
- Add autodetect information for Lexmark Z52 (bug #135178).

* Thu Oct  7 2004 Tim Waugh <twaugh@redhat.com>
- Add autodetect information for HP DJ 640C (bug #134912).

* Fri Sep 24 2004 Tim Waugh <twaugh@redhat.com> 3.0.2-1
- Updated filters to 3.0.2.
- Updated db-engine to 3.0.2.
- No longer need Omni PageSize patch or lvalue patch.

* Tue Aug 31 2004 Tim Waugh <twaugh@redhat.com> 3.0.1-11
- Add autodetect information for Brother HL-5050 (bug #131220).

* Fri Aug 13 2004 Tim Waugh <twaugh@redhat.com> 3.0.1-10
- Add autodetect information for HP LJ 2200 (bug #129732).

* Thu Aug  5 2004 Tim Waugh <twaugh@redhat.com>
- Add autodetect information for HP DJ 1220.

* Tue Jul 27 2004 Tim Waugh <twaugh@redhat.com> 3.0.1-9
- Rebuilt.

* Wed Jul 21 2004 Tim Waugh <twaugh@redhat.com> 3.0.1-8
- Add autodetect information for HP DJ 6122 (bug #124629).

* Tue Jul 20 2004 Tim Waugh <twaugh@redhat.com> 3.0.1-7
- Updated gimp-print data to 4.2.7.

* Mon Jul 12 2004 Tim Waugh <twaugh@redhat.com> 3.0.1-6
- Updated db to 20040712.
- HPLJ4300 data is upstream now.

* Thu Jun 24 2004 Tim Waugh <twaugh@redhat.com> 3.0.1-5
- SNMP/IEEE 1284 data for HPLJ4300.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  1 2004 Tim Waugh <twaugh@redhat.com>
- Build requires a2ps, because foomatic-filters checks for a conversion
  utility (bug #124931).

* Mon Apr 19 2004 Tim Waugh <twaugh@redhat.com> 3.0.1-3
- Require appropriate perl(:MODULE_COMPAT_...) symbol (bug #121131).

* Wed Mar 10 2004 Tim Waugh <twaugh@redhat.com>
- Fix deprecated cast-as-lvalues.

* Thu Mar  4 2004 Tim Waugh <twaugh@redhat.com> 3.0.1-2
- Fix Omni PageSize problem (bug #115586).

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 19 2004 Tim Waugh <twaugh@redhat.com> 3.0.1-1
- Upgrade db to 20040219.
- Upgrade hpijs to 1.5-20040219.
- Upgrade engine to 3.0.1.
- Upgrade filters to 3.0.1.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb  9 2004 Tim Waugh <twaugh@redhat.com> 3.0.0-23
- Fix up HP Color Inkjet CP1700 support.
- Remove PrintoutMode option from gimp-print driver to avoid breaking it.
- Update filters to 3.0.1rc3.
- Update engine to 3.0.1rc2
- No long need symlink patch.

* Mon Jan 12 2004 Tim Waugh <twaugh@redhat.com> 3.0.0-22
- Updated Omni printers to 0.9.1 again.

* Mon Jan 12 2004 Tim Waugh <twaugh@redhat.com> 3.0.0-21
- Build for Fedora Core 1 printer drivers update.
- Revert Omni update temporarily.
- Downgrade engine to 20031217 to stick to the stable branch.

* Mon Jan 12 2004 Tim Waugh <twaugh@redhat.com> 3.0.0-20
- Updated Omni printers to 0.9.1.

* Mon Jan 12 2004 Tim Waugh <twaugh@redhat.com> 3.0.0-19
- Build for Fedora Core 1 printer drivers update.
- No longer need symlink patch.
- Updated fontpath patch.
- Updated engine to 20040112.
- Updated db to 20040112.
- Updated gimp-print data to 4.2.6.

* Tue Jan  6 2004 Tim Waugh <twaugh@redhat.com> 3.0.0-18
- Build for Fedora Core 1 printer drivers update.
- Explicitly state conflict with hpijs < 1.5.
- Make foomatic-ppdfile accept '-t type' like foomatic-datafile used to.

* Tue Dec 23 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-17
- Fix up gimp-print XML (bug #112574).

* Fri Dec 19 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-16
- Need the ppd driver too.

* Fri Dec 19 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-15
- Reinstate ppdload long enough for me to work around its disappearance.

* Thu Dec 18 2003 Tim Waugh <twaugh@redhat.com>
- Updated db to 20031218.
- No longer need hpdj656, dell, mc3100 patches.

* Wed Dec 17 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-14
- Updated db to 20031217.
- Updated engine to 20031217.
- Updated hpijs to 1.5-20031217.
- Use relative symlinks.

* Fri Dec 12 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-13
- Add Minolta magicolor 3100.

* Tue Dec  2 2003 Tim Waugh <twaugh@redhat.com>
- Don't ship backup files.

* Fri Nov 29 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-12
- Undo over-zealous percent escaping in PostScript.xml
- Build requires libxml2-devel (bug #110589).
- Use relative, not absolute, symlink for CUPS filter.

* Fri Nov  7 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-11
- Add pxlmono driver for HP LaserJet 5 (bug #109378).

* Wed Nov  5 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-10
- Updated db to 20031105.
- Drop filters path patch.
- Updated fontpath patch, both libdir patches.
- Updated engine and filters to 3.0-20031105.
- Updated hpijs db to 1.4-1.

* Mon Oct 27 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-9
- Recommend omni-compiled for Omni drivers (bug #107965).

* Mon Sep 29 2003 Tim Waugh <twaugh@redhat.com>
- No longer requires Date::Manip (bug #105696).

* Thu Sep  4 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-8
- Build requires latest perl (bug #103630).

* Tue Aug  5 2003 Elliot Lee <sopwith@redhat.com> 3.0.0-7
- Fix install to find perl modules

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Tue Jun  3 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-5
- Add some Dell printers.
- Updated foomatic-db to 20030603.
- Updated missing UPP list for ghostscript 7.07.

* Wed May 21 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-4
- Fix some printer models whose recommended driver is not shipped
  (bug #89455).

* Mon May 19 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-3
- Relax perl requirement.  Rebuild for perl 5.8.0.

* Mon May 19 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-2
- Disable the xmltest during configure (it hangs on ppc).
- Requires newer perl (bug #91129).

* Wed Apr 30 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-1
- 3.0.0.

* Fri Apr  4 2003 Tim Waugh <twaugh@redhat.com>
- Update Omni printers to 0.9.0.

* Wed Apr  2 2003 Tim Waugh <twaugh@redhat.com> 3.0.0-0.beta2.1
- 3.0.0beta2.
- Updated path patch.
- No longer need FOOMATIC_LIBDIR, generic PS, ids, postscript-duplex,
  hpijs13, psc2210, duplex184 patches.
- Add hpijs support back in.
- Fix up references to old printer IDs.

* Wed Mar 26 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-18
- Fix PS/PJL conflicts in Duplex options (bug #86510).

* Fri Mar 21 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-17
- Update Omni printers to 0.7.3.

* Wed Mar 19 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-16
- Add autodetect info for HP PSC 2210.

* Tue Feb  4 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-15
- Update data-generators to CVS.

* Thu Jan 30 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-14
- Use hpijs, not hpijs-rss (we don't ship the RSS patch now).

* Thu Jan 23 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-13
- Pacify printers that don't understand duplex (bug #82385).

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 2.0.2-12
- rebuilt

* Thu Jan 21 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-11
- Add autodetect info for HP DeskJet 656C.  It doesn't really do
  IEEE 1284 IDs, but since it's a USB device we can figure out its
  manufacturer and model anyway.

* Thu Jan  9 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-10
- Set GS_FONTPATH in gs wrapper (bug #81410).

* Sat Jan  4 2003 Jeff Johnson <jbj@redhat.com> 2.0.2-9
- use internal dep generator.

* Sun Dec 15 2002 Tim Waugh <twaugh@redhat.com> 2.0.2-8
- Add several device IDs.

* Sat Dec 14 2002 Tim Waugh <twaugh@redhat.com> 2.0.2-7
- Update Omni printers to 0.7.2.
- No longer need Omni badxml patch.

* Sat Dec 14 2002 Tim Powers <timp@redhat.com> 2.0.2-6
- don't use rpms internal dep generator

* Fri Dec  6 2002 Tim Waugh <twaugh@redhat.com> 2.0.2-5
- Omni XML wasn't well-formed.

* Wed Nov 20 2002 Tim Waugh <twaugh@redhat.com> 2.0.2-4
- Update gimp-print data.
- Add 'generic postscript' model.

* Mon Nov 11 2002 Tim Waugh <twaugh@redhat.com> 2.0.2-3
- Update Omni printers to 0.7.1.

* Tue Oct 22 2002 Tim Waugh <twaugh@redhat.com> 2.0.2-2
- Fix file manifest for perl modules.
- Add autodetect information for HP DeskJet 990C.

* Mon Oct 21 2002 Tim Waugh <twaugh@redhat.com> 2.0.2-1
- 2.0.2.
- No longer need 67973, 970c patches.
- Remove cups-drivers-* packages (no longer needed).
- Remove files not shipped.  Ship filter.conf.
- Conditionally restart cups.
- Use libdir.
- Don't put things in site_perl; use vendor_perl instead (bug #73528).

* Fri Aug  9 2002 Tim Waugh <twaugh@redhat.com> 1.9-1.20020617.6
- Fix autodetect information for HPDJ970C.

* Thu Aug  8 2002 Tim Waugh <twaugh@redhat.com> 1.9-1.20020617.5
- For gimp-print, use the Ghostscript stp driver in preference to the
  IJS interface.

* Thu Jul 25 2002 Tim Waugh <twaugh@redhat.com> 1.9-1.20020617.4
- Quieten scriptlets.

* Fri Jul  5 2002 Tim Waugh <twaugh@redhat.com> 1.9-1.20020617.3
- Fix autodetect information for HPLJ2100/2100M.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.9-1.20020617.2
- automated rebuild

* Wed Jun 19 2002 Tim Waugh <twaugh@redhat.com> 1.9-0.20020617.2
- Omni 0.7.0 printers.

* Mon Jun 17 2002 Tim Waugh <twaugh@redhat.com> 1.9-0.20020617.1
- Update to CVS.
- Remove some more explicit perl dependencies that are picked up
  automatically.

* Wed May 29 2002 Tim Waugh <twaugh@redhat.com> 1.9-0.20020517.3
- Remove explicit perl-Storable dependency; it should be perl(Storable),
  and that is picked up automatically.

* Tue May 28 2002 Tim Waugh <twaugh@redhat.com> 1.9-0.20020517.2
- Fix release number.
- Drop gen-ppds from the file manifest---use foomatic-compiledb instead
  (bug #63622).

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Waugh <twaugh@redhat.com> 1.9-0.20020517.1
- Remove ghostscript UPP drivers that are gone in 7.05.

* Sat May 18 2002 Tim Waugh <twaugh@redhat.com> 1.9-0.20020517.0.1
- Update to CVS.
- Updated requirements.
- Updated path and libdir patches.
- Drop hpijs 1.0.2 patch.
- foomatic-datafile has moved to %%{_bindir}.
- Update gimp-print data to 4.2.1.
- Update Omni printer data to 0.6.1.

* Thu Apr  4 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020313.3
- Fix the hpijs option data too (bug #62587).

* Wed Apr  3 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020313.2
- Back off to 1.0.2 for hpijs driver data (bug #62587).

* Thu Mar 14 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020313.1
- Update to CVS.

* Wed Mar  6 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020306.1
- Update to CVS.
- Patches no longer needed: conffile, sys, cachedir, fd0.
- Adapted path patch.

* Tue Mar  5 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020130.10
- Fix bug #58319.
- Drop dbg patch.

* Mon Feb 25 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020130.9
- Fix file lists.

* Mon Feb 25 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020130.8
- Fix %post scriplet bug (bug #59942).

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020130.7
- Rebuild in new environment.

* Wed Feb 13 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020130.6
- Merge cups-drivers.  No epoch needed.
- Require perl-URI.

* Wed Feb 06 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020130.5
- Cache fix.

* Mon Feb  4 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020130.4
- Don't ship backup files.

* Mon Feb  4 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020130.3
- Rebuild to pick up new perl installsitelib.

* Thu Jan 31 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020130.2
- Fix a thinko in DB.pl.

* Wed Jan 30 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020130.1
- Update to CVS.
- No longer need the cachedir patch.
- Fix config file path.
- Look in /usr/local/bin last, not first, in lpdomatic (bug #57915).

* Tue Jan 29 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020129.1
- Update to CVS.
- Patches no longer needed: prepend, fd3.
- Use RPM_OPT_FLAGS.
- Allow non-root users to use foomatic-datafile (bug #58956).

* Sat Jan 26 2002 Jeff Johnson <jbj@redhat.com> 1.1-0.20020124.2
- added Provides: perl(Foomatic::GrovePath)

* Thu Jan 24 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20020124.1
- Update to CVS.
- Updated Omni printers to those in Omni 0.5.1.
- Updated patches: prepend, fd3.
- Patches no longer needed: utf8, lpdomatic.
- Added gimp-print (formerly stp) foomatic db info, and removed the old
  stp.xml file.
- Conflict with ghostscript if it doesn't have gimp-print-4.2.0 yet.

* Fri Jan 18 2002 Tim Waugh <twaugh@redhat.com> 1.1-0.20011218.2
- REALLY fix PCL fixup code (bug #55909, others).
- PreReq fileutils, initscripts (bug #56984).
- Fix prepends in lpdomatic (bug #57371).
- Run foomatic-cleanupdrivers during install, to remove driver entries
  with no command line.
- Put lpdomatic in /usr/sbin again.
- Fix foomatic-gswrapper's file descriptor manipulations (bug #56871).

* Mon Dec 17 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011218.1
- re-imported from upstream to fix some perl fixup code on pcl printers.

* Mon Dec 17 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011217.2
- fix the rest of the quoting issues with foomatic-combo-xml with the patch
- foomatic-1.1-20011217-quotes.patch. This has been sent upstream.

* Mon Dec 17 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011217.1
- respin to pull in latest foomatic database, fixes:
-	properly use the cache in relation to foomatic-combo-xml's output
-	fix _some_ of the quoting issues with calling foomatic-combo-xml

* Thu Dec  5 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011205.1
- respin to pull in latest foomatic database, fixes:
-	droping half of a large job
-	-Mutf8 added to the upstream filters
-	miscelaneous printer db updates

* Mon Nov 29 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011018.8
- added Requires: fileutils for the 'rm' in post

* Mon Nov 26 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011018.7
- /var/chache => /var/cache, doh!

* Fri Nov 16 2001 Nalin Dahyabhai <nalin@redhat.com> 1.1-0.20011018.6
- fix %%post scriptlet

* Tue Nov 13 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011018.5
- changed the patch to use the -Mutf8 command line option,
- and to restart the printserver, after rebuilding the settings.

* Fri Nov  9 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011018.4
- grumble. Some drivers use inline perl scripts, and need the 'use utf8;'
- pragma. Without it, they break on _some_ of their options.

* Wed Oct 31 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011018.3
- patched lpdomatic to prepend PostScript options in the _right_ place.

* Thu Oct 25 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011018.2
- zap the foomatic cache on install

* Thu Oct 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011018.1
- rolled to pull in latest information.
- added Omni printers to the printer list.

* Fri Oct 05 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011005.1
- rolled to pull in an ia64 fix to foomatic-combo-xml.c

* Mon Oct 01 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011001.1
- rolled to pull in foomatic fixes to foomatic-combo-xml.c

* Wed Sep 05 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010905.1
- upgraded to latest foomatic, we now have fast overview generation!
- this means that there is no prebuilt overview file.

* Tue Aug 28 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010828.1
- WOW! The latest foomatic uses Till Kamppeter's C based combo compiler.
- It is now fast enough that there is no real benifit to precompiling.
- NOTE: this forces the package to stop being noarched.

* Mon Aug 27 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010827.1
- fresh pull, maybe it fixes the build errors.

* Sat Aug 25 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010825.1
- did a fresh database pull, which contains the old japanese printers as well.
- removed japanese hack.

* Tue Aug 14 2001 Akira TAGOH <tagoh@redhat.com> 1.1-0.20010717.5
- Add Japanese printer entry.

* Mon Aug  6 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010717.4
- move the cache back to /var, sigh.

* Mon Jul 23 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010717.2
- made foomatic pre-compute its db

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010717.1
- imported from mandrake.

* Tue Jul 17 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-0.20010717mdk
- Added job listing/removal/manipulation and queue control to
  foomatic-printjob
- Support for printing multiple copies with PDQ

* Fri Jul 14 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-0.20010714mdk
- Included the cupsomatic filter script
- When a queue is set up, default options can be set now
- Help messages of foomatic-configure and foomatic-printjob cleaned up.

* Fri Jul 13 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-0.20010713mdk
- Many bugfixes in "foomatic-printjob".
- "foomatic-configure" adds the Foomatic config file directory automatically
  to the search paths of PDQ.
- Printing a help page under PDQ was broken.

* Thu Jul 12 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1-0.20010712mdk
- BuildRequires:	perl-devel

* Wed Jul 11 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-0.20010711mdk
- initial release.
- Deleted the obsolete drivers "stp", "cZ11", and "hpdj".
- Patch applied which flushes the memory cache regularly, otherwise
  foomatic-configure would hang when the Foomatic data of GIMP-Print is
  installed. 
